package de.intevation.flys.model;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import javax.persistence.Column;
import javax.persistence.SequenceGenerator;
import javax.persistence.GenerationType;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;


@Entity
@Table(name = "sediment_density_values")
public class SedimentDensityValue implements Serializable {

    private Integer id;

    private Range station;

    private BigDecimal density;

    private String description;


    public SedimentDensityValue() {
    }


    public SedimentDensityValue(Range station, BigDecimal density, String desc) {
        this.station     = station;
        this.density     = density;
        this.description = desc;
    }

    @Id
    @SequenceGenerator(
        name           = "SEQUENCE_SEDIMENT_DENSITY_VALUES_ID_SEQ",
        sequenceName   = "SEDIMENT_DENSITY_VALUES_ID_SEQ",
        allocationSize = 1)
    @GeneratedValue(
        strategy  = GenerationType.SEQUENCE,
        generator = "SEQUENCE_SEDIMENT_DENSITY_VALUES_ID_SEQ")
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @OneToOne
    @JoinColumn(name = "station_id")
    public Range getStation() {
        return station;
    }

    public void setStation(Range station) {
        this.station = station;
    }

    @Column(name = "density")
    public BigDecimal getDensity() {
        return density;
    }

    public void setDensity(BigDecimal density) {
        this.density = density;
    }

    @Column(name = "description")
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
